Package org.alfresco.rest.requests
Class Task
-
Field Summary
Fields inherited from class org.alfresco.rest.requests.ModelRequest
restWrapper -
Constructor Summary
ConstructorsConstructorDescriptionTask(RestWrapper restWrapper) Task(RestWrapper restWrapper, org.alfresco.utility.model.TaskModel task) -
Method Summary
Modifier and TypeMethodDescriptionaddTaskItem(org.alfresco.utility.model.FileModel fileModel) Add task item using POST /tasks/{taskId}/itemsaddTaskItems(org.alfresco.utility.model.FileModel... fileModels) Add task items using POST /tasks/{taskId}/itemsaddTaskVariable(RestVariableModel variableModel) Add task variable using POST /tasks/{taskId}/variables calladdTaskVariables(RestVariableModel... taskVariablesModel) Add task variables using POST /tasks/{taskId}/variables callvoiddeleteTaskItem(RestItemModel itemModel) Delete a task item using DELETE call on tasks/{taskId}/items/{itemId}voiddeleteTaskVariable(RestVariableModel variableModel) Delete task variable using DELETE /tasks/{taskId}/variables/{variableName} callgetTask()Retrieve the tasks identified by taskId using GET call on "/tasks/{taskId}"Retrieve the task candidates (users and groups) using GET call on "/tasks/{taskId}/candidates"Retrieves models of the task form type definitionRetrieve the task items using GET call on "/tasks/{taskId}/items"getTasks()Retrieve a list of tasks visible for the authenticated user using GET call on "/tasks"Retrieve the task variables using GET call on "/tasks/{taskId}/variables"updateTask(jakarta.json.JsonObject inputJson) Update task using PUT put /tasks/{taskId} calupdateTask(String newStateValue) Update task using PUT put /tasks/{taskId} callupdateTaskVariable(RestVariableModel variableModel) Update/Add task variable using PUT put /tasks/{taskId}/variables/{variableName} callMethods inherited from class org.alfresco.rest.requests.ModelRequest
include, includePath, usingParams
-
Constructor Details
-
Task
-
Task
-
-
Method Details
-
getTasks
Retrieve a list of tasks visible for the authenticated user using GET call on "/tasks"- Returns:
-
getTask
Retrieve the tasks identified by taskId using GET call on "/tasks/{taskId}"- Parameters:
taskId-- Returns:
-
updateTask
Update task using PUT put /tasks/{taskId} call- Parameters:
newStateValue-- Returns:
- Throws:
JsonToModelConversionException
-
updateTask
Update task using PUT put /tasks/{taskId} cal- Parameters:
inputJson- the json used as input for PUT call- Returns:
-
getTaskVariables
Retrieve the task variables using GET call on "/tasks/{taskId}/variables"- Parameters:
taskId-- Returns:
-
updateTaskVariable
Update/Add task variable using PUT put /tasks/{taskId}/variables/{variableName} call- Parameters:
taskId-variableName-- Returns:
- Throws:
JsonToModelConversionException
-
addTaskVariable
Add task variable using POST /tasks/{taskId}/variables call- Parameters:
taskId-- Returns:
- Throws:
JsonToModelConversionException
-
addTaskVariables
Add task variables using POST /tasks/{taskId}/variables call- Parameters:
taskId-- Returns:
- Throws:
JsonToModelConversionException
-
deleteTaskVariable
Delete task variable using DELETE /tasks/{taskId}/variables/{variableName} call- Parameters:
taskId-variableName-- Throws:
JsonToModelConversionException
-
addTaskItem
Add task item using POST /tasks/{taskId}/items- Parameters:
processId-- Returns:
- Throws:
JsonToModelConversionException
-
addTaskItems
Add task items using POST /tasks/{taskId}/items- Parameters:
fileModels-- Returns:
- Throws:
JsonToModelConversionException
-
getTaskItems
Retrieve the task items using GET call on "/tasks/{taskId}/items"- Parameters:
taskId-- Returns:
-
getTaskFormModel
Retrieves models of the task form type definition- Parameters:
taskModel-- Returns:
-
deleteTaskItem
Delete a task item using DELETE call on tasks/{taskId}/items/{itemId}- Parameters:
taskId-itemId-
-
getTaskCandidates
Retrieve the task candidates (users and groups) using GET call on "/tasks/{taskId}/candidates"- Parameters:
taskId-- Returns:
-